using Newtonsoft.Json;
using Pilz.Net.CloudProviders.Nextcloud.OCS;

namespace Pilz.Net.CloudProviders.Nextcloud.Client.Apps.FileRetention.Ocs;

public class OcsDataRetentionRule : OcsData
{

    [JsonProperty("tagid")]
    public int? TagID { get; set; }

    [JsonProperty("timeunit")]
    public int? TimeUnit { get; set; }

    [JsonProperty("timeamount")]
    public int? TimeAmount { get; set; }

    [JsonProperty("timeafter")]
    public int? TimeAfter { get; set; }
}
